name: 'Networking tunnel: geneve basic test'
universal_id: redhat_geneve
origin: kernel_public_tests
location: networking/tunnel/geneve/basic
maintainers:
  - name: Jianlin Shi
    email: jishi@redhat.com
    gitlab: linup2011
  - name: Jianwen Ji
    email: jiji@redhat.com
    gitlab: jijianwen
  - name: Hangbin Liu
    email: haliu@redhat.com
    gitlab: liuhangbin
enabled:
  not:
    trees:
      or:
        - rhel6.*
        # eln only run an small set of tests
        - eln
target_sources:
  - include/linux/netdevice\.h
  - include/net/geneve\.h
  - net/ipv4/udp_tunnel\.c
  - net/ipv6/ip6_udp_tunnel\.c
  - drivers/net/geneve\.c
  - net/bridge/.*
  - net/switchdev/switchdev\.c
  - net/llc/.*
  - include/net/netns/.*
  - net/unix/.*
  - net/packet/internal\.h
  - net/netlink/.*
trigger_sources:
  - drivers/net/.*
  - include/net/.*
  - net/.*
sets:
  - cloud
  - net
max_duration_seconds: 1800
